﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Xml;

namespace XmlTree
{
    public partial class XmlForm : Form
    {
        public XmlForm()
        {
            InitializeComponent();
        }

        private void showInfo (string s)
        {
            statusLabel.Text = s;
            logBox.AppendText (s + "\r\n");
        }

        private void showObj(object p)
        {
            propertyGrid.SelectedObject = p;
        }

        // using System.Xml;
        XmlTextReader f;
        TreeNode current = null;

        private void runButton_Click(object sender, EventArgs e)
        {
            f = new XmlTextReader("..\\..\\data.xml");
            nextButton_Click (null, null);
        }

        private void nextButton_Click(object sender, EventArgs e)
        {
            f.Read();
            showObj(f);
            if (f.NodeType == XmlNodeType.Element)
            {
                TreeNode n = new TreeNode();
                n.Text = f.Name;

                if (current == null)
                    treeView.Nodes.Add (n);
                else
                    current.Nodes.Add (n);

                current = n;
            }
        }
    }
}
